Download it now!
Bug 45689 - 3D-Settings toolbar: Turn Button 3D Color / Extrusion Color into Split Button
Summary: 3D-Settings toolbar: Turn Button 3D Color / Extrusion Color into Split Button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks: 45671
  Show dependency treegraph
 
Reported: 2012-02-06 04:15 UTC by Stefan Knorr (astron)
Modified: 2014-05-16 06:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Knorr (astron) 2012-02-06 04:15:51 UTC
We should try to use split buttons for all toolbar color choosers, for a longer
rationale, see: bug 45671.

How to get to see the button:
* open Writer
* in the Standard toolbar, click on Show Draw functions
/Result/ Drawing toolbar appears on the bottom of the window.
* in the Drawing toolbar, select the diamond shape
* click/hold/move mouse/release somewhere in the content area
/Result/ You've drawn a shape.
* now click the Extrusion On/Off button
/Result/ Shape has an extrusion, extrusion toolbar opens.
* In the Extrusion toolbar, look for the 3D color button (icon: a cube atop a fat coloured line)

See that this button is a simple button, not a split button.

(This toolbar is be available in all applications except Math and Base – I think the implementation is shared.)
Comment 1 sasha.libreoffice 2012-03-20 04:37:34 UTC
Thanks for new idea
After button becomes splitted, it will work so:
- If press on button itself, mouse cursor becomes as brush, we can paint several shapes in current color
- If press on triangle to right of button or preform long click on button itself, appears palette, were we can see current color and can change color to another.
Comment 2 Winfried Donkers 2012-03-20 04:54:22 UTC
(In reply to comment #1)
> Thanks for new idea
> After button becomes splitted, it will work so:
> - If press on button itself, mouse cursor becomes as brush, we can paint
> several shapes in current color
> - If press on triangle to right of button or preform long click on button
> itself, appears palette, were we can see current color and can change color to
> another.

The current standard functionality of the split button is that if you press on left side of split button, the selected text/cells/frames/etc. are given th elast used colour.
Writer has extra functionality (which was already there) when you press the left side of the split button when nothing is selected. The cursor then becomes a brush so that you can paint. This paintbrush functionality is in writer, not in the split button. The (last used) colour is even stored in the writer shell.

3D button: getting the behaviour ok is trickier than with other buttons (calc, writer). Therefore, the patch may take some time.
Should I see possibilties to implement the paintbrush behaviour, I can submit that in a separate patch under this bugnumber.
Comment 3 sasha.libreoffice 2012-03-20 08:19:08 UTC
Then behaviour will be this:
> The current standard functionality of the split button is that if you press on
> left side of split button, the selected text/cells/frames/etc. are given th
> elast used colour.
Comment 5 Winfried Donkers (retired) 2014-05-16 06:18:06 UTC
(In reply to comment #4)
> Fixed with
> [...]

Thank you for your great work! You finish what I left open - unable to fix the bug reports myself :-)